package com.jy.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.system.model.dto.SysDictTypeDto;
import com.jy.system.model.dto.SysDictTypeSelectDto;
import com.jy.system.model.vo.SysDictTypeVo;

import java.util.List;

/**
 * <p>
 * 字典类型 服务类
 * </p>
 *
 * @author
 * @since 2024-06-20
 */
public interface SysDictTypeService {

    /**
     * 字典类型分页
     */
    Page<SysDictTypeVo> getPage(SysDictTypeSelectDto dto);

    /**
     * 字典类型明细
     */
    SysDictTypeVo getDetail(Long id);

    /**
     * 字典类型新增
     */
    void add(SysDictTypeDto dto);

    /**
     * 字典类型编辑
     */
    void edit(SysDictTypeDto dto);

    /**
     * 字典类型删除
     */
    void delete(List<Long> idList);

    /**
     * 刷新全局字典缓存
     */
    void refreshCache();

}
